CREATE procedure [C6Staging].[RP_ST_Migraz_Pianificazione] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Migraz_Pianificazione',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_Migraz_Pianificazione
	insert into c6staging.RP_Migraz_Pianificazione(
		chiaveConsulenza
		,chiaveClientePB
		,dtUltimoAggiornamento
		,risorseFinanziarieBF
		,risorseFinanziarieTerzi
		,contoCorrente
		,rischioCredito
		,rischioMercato
		,diversificazione
		,copertura
		,isAttivoRC
		,partiteViaggianti
		,dtPrimaMigrazione
		,token
		,lineaself
	)
	    SELECT
		chiaveConsulenza
		,pian.chiaveClientePB
		,pian.dtAggiornamento
		,null as risorseFinanziarieBF
		,null as risorseFinanziarieTerzi
		,null as contoCorrente
		,case when (rischioCreditoDecodificatoRisAll like '%n.a.%') or (rischioCreditoDecodificatoRisAll like '%n.c.%')
			or (rischioCreditoDecodificatoRisAll like '%classe%') then null else rischioCreditoDecodificatoRisAll end as rischioCredito
		,null as rischioMercato
		,null as diversificazione
		,coperturaRisAll as copertura
		,null as isAttivoRC
		,partiteViaggianti
		,dtPrimaMigrazione
		,tok.value as Token
		,null AS lineaself
FROM [CONSUNI].[ConsulenzaUnica].dbo.Pianificazione pian
left join [CONSUNI].[consulenzaUnica].dbo.token tok
on pian.chiaveToken = tok.chiavetoken
inner join [CONSUNI].[ConsulenzaUnica].dbo.eventiCliente ev
on ev.chiaveclientePb = pian.chiaveclientepb
--where ev.flagPianificazione = 0
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Migraz_Pianificazione' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Migraz_Pianificazione'
		)
end